package com.ruoyi.system.mapper.visit;

import com.ruoyi.system.domain.visit.VisitPlanObj;
import com.ruoyi.system.domain.visit.VisitPlanObjExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitPlanObjMapper {
    long countByExample(VisitPlanObjExample example);

    int deleteByExample(VisitPlanObjExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitPlanObj record);

    int insertSelective(VisitPlanObj record);

    List<VisitPlanObj> selectByExample(VisitPlanObjExample example);

    VisitPlanObj selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitPlanObj record, @Param("example") VisitPlanObjExample example);

    int updateByExample(@Param("record") VisitPlanObj record, @Param("example") VisitPlanObjExample example);

    int updateByPrimaryKeySelective(VisitPlanObj record);

    int updateByPrimaryKey(VisitPlanObj record);
}
